package com.example.uriandroiddemo;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;

public class MainActivity extends Activity {

	 private EditText m_oMeetingIDEditText;
	 private EditText m_oMeetingPasswordEditText;
	 private EditText m_oUserNameEditText;
	 private EditText m_oMeetingServerAddressEditText;
	 private Button m_oJoinMeetingButton;
	 private CheckBox m_oStartMeetingCheckbox;
	 
	 private int m_iMeetingId = 0;
	 private String m_sPassword = "";
	 private String m_sUsername = "";
	 private String m_sServer = "";
	 private boolean m_bStartMeeting = false;
	 private String m_sRole = "attendee";
	 	    
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		m_oMeetingIDEditText = (EditText)findViewById(R.id.meeting_id_edittext);
		m_oMeetingPasswordEditText = (EditText)findViewById(R.id.meeting_password_edittext);
		m_oUserNameEditText = (EditText)findViewById(R.id.user_name_edittext);
		m_oMeetingServerAddressEditText = (EditText)findViewById(R.id.meeting_server_address_edittext);
		m_oJoinMeetingButton = (Button)findViewById(R.id.join_button);
		m_oStartMeetingCheckbox = (CheckBox)findViewById(R.id.start_meeting_checkbox);
		
		m_oJoinMeetingButton.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				startNewActivity(getApplicationContext(),"com.rhubcom.turbomeeting");
			}
		});
	}

	public void startNewActivity(Context context, String packageName) {
	    Intent intent = context.getPackageManager().getLaunchIntentForPackage(packageName);
	    if (intent == null) {
	        // Bring user to the market or let them choose an app?
	        intent = new Intent(Intent.ACTION_VIEW);
	        intent.setData(Uri.parse("market://details?id=" + packageName));
	    }
	   
	    m_sPassword = m_oMeetingPasswordEditText.getText().toString();
	    m_sServer = m_oMeetingServerAddressEditText.getText().toString();
	    m_bStartMeeting = m_oStartMeetingCheckbox.isChecked();

	    intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
    	 m_iMeetingId = Integer.parseInt(m_oMeetingIDEditText.getText().toString());
    	 m_sUsername = m_oUserNameEditText.getText().toString();
    	 m_sPassword = m_oMeetingPasswordEditText.getText().toString();
    	 m_sServer = m_oMeetingServerAddressEditText.getText().toString();
    	 m_bStartMeeting = m_oStartMeetingCheckbox.isChecked();
    	 
    	intent.putExtra("meeting_id", m_iMeetingId);
	    intent.putExtra("name", m_sUsername);
	    intent.putExtra("password", m_sPassword);
	    intent.putExtra("server_address", m_sServer);
	    intent.putExtra("start_meeting", m_bStartMeeting);
	    intent.putExtra("role", m_sRole);
	    context.startActivity(intent);
	}
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
}
